Skip to main content
POST
https://api.tensormesh.ai
/
v1
/
admin
/
products
Upsert Product
curl --request POST \
  --url https://api.tensormesh.ai/v1/admin/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product": {
    "id": "<string>",
    "name": "<string>",
    "requiredGpuNum": 123,
    "family": "<string>",
    "isActive": true,
    "spec": {}
  }
}
'
{
  "product": {
    "id": "<string>",
    "name": "<string>",
    "requiredGpuNum": 123,
    "family": "<string>",
    "isActive": true,
    "spec": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Body

application/json
product
object

Response

A successful response.

product
object